package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Audit Log Notification List
 */
@ApiModel(description = "Audit Log Notification List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:45:56.254+08:00[Asia/Shanghai]")

public class AuditLogNotificationOpenApiVo   {
  @JsonProperty("key")
  private String key;

  @JsonProperty("shortMsg")
  private String shortMsg;

  @JsonProperty("webhook")
  private Boolean webhook;

  public AuditLogNotificationOpenApiVo key(String key) {
    this.key = key;
    return this;
  }

  /**
   * Audit Log Notification Category Key
   * @return key
  */
  @ApiModelProperty(value = "Audit Log Notification Category Key")


  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public AuditLogNotificationOpenApiVo shortMsg(String shortMsg) {
    this.shortMsg = shortMsg;
    return this;
  }

  /**
   * Audit Log Notification Category Short Message
   * @return shortMsg
  */
  @ApiModelProperty(value = "Audit Log Notification Category Short Message")


  public String getShortMsg() {
    return shortMsg;
  }

  public void setShortMsg(String shortMsg) {
    this.shortMsg = shortMsg;
  }

  public AuditLogNotificationOpenApiVo webhook(Boolean webhook) {
    this.webhook = webhook;
    return this;
  }

  /**
   * Audit Log Notification Category Enable or Disable Webhook
   * @return webhook
  */
  @ApiModelProperty(value = "Audit Log Notification Category Enable or Disable Webhook")


  public Boolean getWebhook() {
    return webhook;
  }

  public void setWebhook(Boolean webhook) {
    this.webhook = webhook;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AuditLogNotificationOpenApiVo auditLogNotificationOpenApiVo = (AuditLogNotificationOpenApiVo) o;
    return Objects.equals(this.key, auditLogNotificationOpenApiVo.key) &&
        Objects.equals(this.shortMsg, auditLogNotificationOpenApiVo.shortMsg) &&
        Objects.equals(this.webhook, auditLogNotificationOpenApiVo.webhook);
  }

  @Override
  public int hashCode() {
    return Objects.hash(key, shortMsg, webhook);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AuditLogNotificationOpenApiVo {\n");
    
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    shortMsg: ").append(toIndentedString(shortMsg)).append("\n");
    sb.append("    webhook: ").append(toIndentedString(webhook)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

